<?php
namespace App\Model;
use Illuminate\Database\Eloquent\Model;

class GetPackCount extends Model {

    private $packCountUrl;

    function __construct() {

        $this->packCountUrl = env('MIDDLEWARE_URL', true).'quiz/getPackCount'; 
    }
   
    public function getProductPackCount($data){

        $method = 'POST';
        $path = $this->packCountUrl;
        $response = $this->call($method, $path, http_build_query($data));
        return json_decode($response);
    }


    function call($method, $path, $data = []) {

        $curl = curl_init();
        curl_setopt($curl, CURLOPT_URL, $path);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_ENCODING, '');
        curl_setopt($curl, CURLOPT_MAXREDIRS, 10);
        curl_setopt($curl, CURLOPT_TIMEOUT, 30);
        curl_setopt($curl, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
        curl_setopt($curl, CURLOPT_CUSTOMREQUEST, $method);

        if ($method !== 'GET') {

            curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
        }
     
        $response = curl_exec($curl);
        return $response;

    }
}
