<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$router->get('/', function () use ($router) {
    return $router->app->version();
});
$router->get('createCheckout', ['uses' => 'CheckoutController@CreateCheckout']);
$router->get('updateSubscriptionLineItemProperties', ['uses' => 'CheckoutController@updateSubscriptionLineItemProperties']);
$router->get('retrieveCheckout', ['uses' => 'CheckoutController@RetrieveCheckout']);
$router->post('processCheckout', ['uses' => 'CheckoutController@ProcessCheckout']);
$router->get('shippingLineUpdate', ['uses' => 'CheckoutController@updateShippingLine']);
$router->get('getUserIterableStatus', ['uses' => 'IterableController@getUserIterableStatus']);
$router->get('updateIterableSubscription', ['uses' => 'IterableController@updateIterableSubscription']);